Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have just installed python2.6 and mod_wsgi on my MediaTemple CentOS5.8 server. I had to install python2.6 along side the default python version of 2.4. I then compiled mod_wsgi telling it to use python2.6. Everything compiled and built fine.

I added this line to the /etc/httpd/conf/httpd.conf

"LoadModule wsgi_module modules/mod_wsgi.so"

When I restart httpd this causes a segmentation fault

Program received signal SIGSEGV, Segmentation fault.
    0x00007fffececf6a5 in PyEval_ReInitThreads () at Python/ceval.c:312
    312     threading = PyMapping_GetItemString(tstate->interp->modules

As far as I know I do not have any config files that actually use mod_wsgi yet, I have not gotten that far in the process.

Does anyone know what could be causing that?

share|improve this question

1 Answer 1

up vote 0 down vote accepted

Apparently mod_python and mod_wsgi don't coexist very happily, at least not in my configuration. Luckily I did not need mod_python, so I stopped it from being loaded by apache and everything worked.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.